Error: shasum check failed for /var/folders/Ev/EvscTIrVG8SQkcfeQ1 #1996

Closed
nkhine opened this Issue Jan 5, 2012 · 2 comments

Projects

None yet

2 participants

@nkhine
nkhine commented Jan 5, 2012

$ npm install jsdom
npm ERR! error installing jsdom@0.2.10 Error: shasum check failed for /var/folders/Ev/EvscTIrVG8SQkcfeQ1+gt++++TI/-Tmp-/npm-1325799784304/1325799890293-0.9182564883958548/tmp.tgz
npm ERR! error installing jsdom@0.2.10 Expected: ac0ac26169568837d2886a92b22c0bd1e15e7ad7
npm ERR! error installing jsdom@0.2.10 Actual: 9736f29732878bd3696ab116aa579c5b872491f4
npm ERR! error installing jsdom@0.2.10 at /Users/khinester/lib/node_modules/npm/lib/utils/sha.js:25:20
npm ERR! error installing jsdom@0.2.10 at [object Object]. (/Users/khinester/lib/node_modules/npm/lib/utils/sha.js:49:5)
npm ERR! error installing jsdom@0.2.10 at [object Object].emit (events.js:61:17)
npm ERR! error installing jsdom@0.2.10 at afterRead (fs.js:878:12)
npm ERR! error installing jsdom@0.2.10 at wrapper (fs.js:245:17)
npm ERR! Error: shasum check failed for /var/folders/Ev/EvscTIrVG8SQkcfeQ1+gt++++TI/-Tmp-/npm-1325799784304/1325799890293-0.9182564883958548/tmp.tgz
npm ERR! Expected: ac0ac26169568837d2886a92b22c0bd1e15e7ad7
npm ERR! Actual: 9736f29732878bd3696ab116aa579c5b872491f4
npm ERR! at /Users/khinester/lib/node_modules/npm/lib/utils/sha.js:25:20
npm ERR! at [object Object]. (/Users/khinester/lib/node_modules/npm/lib/utils/sha.js:49:5)
npm ERR! at [object Object].emit (events.js:61:17)
npm ERR! at afterRead (fs.js:878:12)
npm ERR! at wrapper (fs.js:245:17)
npm ERR! Report this entire log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com
npm ERR!
npm ERR! System Darwin 10.8.0
npm ERR! command "node" "/Users/khinester/bin/npm" "install" "jsdom"
npm ERR! cwd /.../jsdom
npm ERR! node -v v0.4.13-pre
npm ERR! npm -v 1.0.93
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /.../npm-debug.log

@mfncooper
Member

Is this still an issue? IIRC, there were some temporary issues with jsdom that may have coincided with this, but I'm not seeing any errors installing this version right now.

@nkhine
nkhine commented Jun 10, 2012

no, it is working now, so i close.

@nkhine nkhine closed this Jun 10, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment